import {http, HttpResponse} from "msw";
import {setupWorker} from "msw/browser";

export const MOCK_BASEURL = "http://localhost:8080";

const setupHandlers = async () => {
  return [
    http.get(`${MOCK_BASEURL}/api/v1/users/self`, () => HttpResponse.json({
      id: window.crypto.randomUUID(),
      name: 'Max Mustermann',
      mail: 'testmail@example.com',
    })),
  ]
}

export async function setupBackendMocking() {
  const handlers = await setupHandlers();
  return setupWorker(...handlers);
}
