package de.mlessmann.certassist.keystore;

import de.mlessmann.certassist.openssl.CertificatePasswordProvider;
import de.mlessmann.certassist.openssl.OpenSSLService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class AutoBootKeyStoreManagement {

    @Bean
    @ConditionalOnMissingBean(KeyStoreManager.class)
    public KeyStoreManager keystoreProvider(
        OpenSSLService certificateCreator,
        CertificatePasswordProvider passwordProvider
    ) {
        return new KeyStoreManager(certificateCreator, passwordProvider);
    }
}
