package de.mlessmann.certassist.repositories;

import static org.assertj.core.api.Assertions.assertThat;

import de.mlessmann.certassist.models.User;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class UserRepositoryTest {

    @Autowired
    private UserRepository userRepository;

    @Test
    @Transactional
    void findUserById() {
        final User user = new User();
        user.setUsername("test");
        userRepository.save(user);

        assertThat(userRepository.findById(user.getId()).orElseThrow().getUsername()).isEqualTo("test");
    }
}
